StarItemPoolInternal::StyleId Struct Reference

Internal: a style of a StarItemPool. More...

## Public Member Functions

| StyleId (librevenge::RVNGString const &name, int family)
| constructor
bool | operator== (StyleId const &other) const
| operator==
bool | operator!= (StyleId const &other) const
| operator!=
bool | operator< (StyleId const &other) const
| operator<

## Public Attributes

librevenge::RVNGString | m_name
| the name
int | m_family
| the family

## Detailed Description

Internal: a style of a StarItemPool.

## Constructor & Destructor Documentation

## StyleId()

StarItemPoolInternal::StyleId::StyleId | ( | librevenge::RVNGString const & | name,
|  | int | family )

inline

constructor

Referenced by operator!=(), operator<(), and operator==().

## Member Function Documentation

## operator!=()

bool StarItemPoolInternal::StyleId::operator!= | ( | StyleId const & | other | ) | const

inline

operator!=

## operator<()

bool StarItemPoolInternal::StyleId::operator< | ( | StyleId const & | other | ) | const

inline

operator<

## operator==()

bool StarItemPoolInternal::StyleId::operator== | ( | StyleId const & | other | ) | const

inline

operator==

Referenced by operator!=().

## Member Data Documentation

## m_family

int StarItemPoolInternal::StyleId::m_family

the family

Referenced by operator<(), operator==(), StyleId(), and StarItemPool::updateStyles().

## m_name

librevenge::RVNGString StarItemPoolInternal::StyleId::m_name

the name

Referenced by operator<(), operator==(), StyleId(), and StarItemPool::updateStyles().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx